## com.puppycrawl.tools.checkstyle.checks
Class AbstractTypeAwareCheck.ClassInfo

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractTypeAwareCheck.ClassInfo

Enclosing class:
  AbstractTypeAwareCheck

protected class AbstractTypeAwareCheck.ClassInfo
extends java.lang.Object

Contains class's `FullIdent` and `Class` object if we can load it.

Constructor Summary
`AbstractTypeAwareCheck.ClassInfo(FullIdent aName, java.lang.String aCurrentClass)` Creates new instance of of class information object.

Method Summary
`java.lang.Class` `getClazz()`
`FullIdent` `getName()`
`boolean` `isLoadable()`
`void` `setClazz(java.lang.Class aClass)` Associates `Class` with an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTypeAwareCheck.ClassInfo

    public AbstractTypeAwareCheck.ClassInfo(FullIdent aName,
                                            java.lang.String aCurrentClass)

  Creates new instance of of class information object.

Parameters:
  `aName` - `FullIdent` associated with new object.
  `aCurrentClass` - name of current surrounding class.

Method Detail

### getName

    public final FullIdent getName()

  Returns:
    class name

### isLoadable

    public final boolean isLoadable()

  Returns:
    if class is loadable ot not.

### getClazz

    public final java.lang.Class getClazz()

  Returns:
    `Class` associated with an object.

### setClazz

    public final void setClazz(java.lang.Class aClass)

  Associates `Class` with an object.

  Parameters:
    `aClass` - `Class` to associate with.

Back to the Checkstyle Home Page